Extending Qt Creator Manual | CodeStyleSelectorWidget

Extending Qt Creator Manual 4.5.2

# CodeStyleSelectorWidget Class

(TextEditor::CodeStyleSelectorWidget)

- List of all members, including inherited members

## Public Functions

| CodeStyleSelectorWidget(ICodeStylePreferencesFactory *factory, QWidget *parent = 0)
| ~CodeStyleSelectorWidget()
void | setCodeStyle(TextEditor::ICodeStylePreferences *codeStyle)

## Member Function Documentation

### CodeStyleSelectorWidget::CodeStyleSelectorWidget(ICodeStylePreferencesFactory *factory, QWidget *parent = 0)

Default constructs an instance of CodeStyleSelectorWidget.

### CodeStyleSelectorWidget::~CodeStyleSelectorWidget()

Destroys the instance of CodeStyleSelectorWidget.

### void CodeStyleSelectorWidget::setCodeStyle(TextEditor::ICodeStylePreferences *codeStyle)